| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_DOT11DECRYPT_SEC_ASSOCIATION Struct Reference

Holds the full cryptographic state of a security association between a STA and an AP. More...

`#include <dot11decrypt_system.h>`

## Public Attributes
struct _DOT11DECRYPT_SEC_ASSOCIATION * | next
DOT11DECRYPT_SEC_ASSOCIATION_ID | saId
DOT11DECRYPT_KEY_ITEM * | key
uint8_t | handshake
uint8_t | validKey
struct { |
uint8_t key_ver |
unsigned char nonce [32] |
int akm |
int cipher |
int tmp_group_cipher |
int pmk_len |
unsigned char ptk [96] |
int ptk_len |
uint8_t mld: 1 |
uint8_t ap_mld_mac_set: 1 |
uint8_t sta_mld_mac_set: 1 |
uint8_t ap_mld_mac [6] |
uint8_t sta_mld_mac [6] |
struct DOT11DECRYPT_MLO_LINK_INFO { |
uint8_t id_set: 1 |
uint8_t sta_mac_set: 1 |
uint8_t ap_mac_set: 1 |
uint8_t id: 4 |
uint8_t sta_mac [6] |
uint8_t ap_mac [6] |
} mlo_links [3]
} | wpa

## Detailed Description

Holds the full cryptographic state of a security association between a STA and an AP.

## Member Data Documentation

## ◆ akm

int _DOT11DECRYPT_SEC_ASSOCIATION::akm

AKM suite selector identifying the authentication and key management method

## ◆ ap_mac

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::ap_mac[6]

AP MAC address on this affiliated link

## ◆ ap_mac_set

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::ap_mac_set

1 if `ap_mac` has been populated for this link

## ◆ ap_mld_mac

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::ap_mld_mac[6]

Multi-Link Device MAC address of the AP

## ◆ ap_mld_mac_set

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::ap_mld_mac_set

1 if `ap_mld_mac` has been populated

## ◆ cipher

int _DOT11DECRYPT_SEC_ASSOCIATION::cipher

Pairwise cipher suite selector (e.g. CCMP, TKIP)

## ◆ handshake

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::handshake

Current 4-way handshake progress state (1–4)

## ◆ id

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::id

Link ID assigned by the AP for this affiliated link

## ◆ id_set

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::id_set

1 if the link ID has been set

## ◆ key

DOT11DECRYPT_KEY_ITEM* _DOT11DECRYPT_SEC_ASSOCIATION::key

Pointer to the key material used to derive session keys

## ◆ key_ver

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::key_ver

EAPOL-Key descriptor version negotiated during the handshake

## ◆ mld

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::mld

1 if both the AP MLD MAC and STA MLD MAC have been set

## ◆ [struct]

struct { ... } ::DOT11DECRYPT_MLO_LINK_INFO _DOT11DECRYPT_SEC_ASSOCIATION::mlo_links[ 3 ]

Array of per-link info for all MLO affiliated links

## ◆ next

struct _DOT11DECRYPT_SEC_ASSOCIATION* _DOT11DECRYPT_SEC_ASSOCIATION::next

Pointer to the previous security association in the reassociation linked list; NULL if none

## ◆ nonce

unsigned char _DOT11DECRYPT_SEC_ASSOCIATION::nonce[32]

ANonce captured from handshake message 1, used with SNonce to derive the PTK

## ◆ pmk_len

int _DOT11DECRYPT_SEC_ASSOCIATION::pmk_len

Length in bytes of the Pairwise Master Key (PMK)

## ◆ ptk

unsigned char _DOT11DECRYPT_SEC_ASSOCIATION::ptk[96]

Derived Pairwise Transient Key (PTK) used as the session decryption key

## ◆ ptk_len

int _DOT11DECRYPT_SEC_ASSOCIATION::ptk_len

Length in bytes of the derived PTK

## ◆ saId

DOT11DECRYPT_SEC_ASSOCIATION_ID _DOT11DECRYPT_SEC_ASSOCIATION::saId

Identity of this security association (BSSID + STA MAC)

## ◆ sta_mac

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::sta_mac[6]

STA MAC address on this affiliated link

## ◆ sta_mac_set

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::sta_mac_set

1 if `sta_mac` has been populated for this link

## ◆ sta_mld_mac

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::sta_mld_mac[6]

Multi-Link Device MAC address of the station

## ◆ sta_mld_mac_set

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::sta_mld_mac_set

1 if `sta_mld_mac` has been populated

## ◆ tmp_group_cipher

int _DOT11DECRYPT_SEC_ASSOCIATION::tmp_group_cipher

Group cipher suite, cached between handshake messages 2 and 3

## ◆ validKey

uint8_t _DOT11DECRYPT_SEC_ASSOCIATION::validKey

Non-zero if a valid PTK has been derived and is ready for decryption

## ◆ [struct]

struct { ... } _DOT11DECRYPT_SEC_ASSOCIATION::wpa

WPA/RSN-specific handshake and key derivation state

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/crypt/dot11decrypt_system.h